KBookmarkImporterBase Class Referenceabstract

`#include <kbookmarkimporter.h>`

Inheritance diagram for KBookmarkImporterBase:

## Signals

void | newBookmark (const QString &text, const QCString &url, const QString &additionalInfo)
void | newFolder (const QString &text, bool open, const QString &additionalInfo)
void | newSeparator ()
void | endFolder ()

## Public Member Functions

void | setFilename (const QString &filename)
virtual void | parse ()=0
virtual QString | findDefaultLocation (bool forSaving=false) const =0
void | setupSignalForwards (QObject *src, QObject *dst)

## Static Public Member Functions

static KBookmarkImporterBase * | factory (const QString &type)

## Protected Attributes

QString | m_fileName

## Detailed Description

A class for importing NS bookmarks KEditBookmarks uses it to insert bookmarks into its DOM tree, and KActionMenu uses it to create actions directly.

Since
  3.2

Definition at line 37 of file kbookmarkimporter.h.

## Member Function Documentation

void KBookmarkImporterBase::endFolder | ( |  | ) |

signal

Tell the outside world that we're going down one menu.

void KBookmarkImporterBase::newBookmark | ( | const QString & | text,
|  | const QCString & | url,
|  | const QString & | additionalInfo
| ) |  |

signal

Notify about a new bookmark Use "html" for the icon.

void KBookmarkImporterBase::newFolder | ( | const QString & | text,
|  | bool | open,
|  | const QString & | additionalInfo
| ) |  |

signal

Notify about a new folder Use "bookmark_folder" for the icon.

void KBookmarkImporterBase::newSeparator | ( |  | ) |

signal

Notify about a new separator.

The documentation for this class was generated from the following files:

- kbookmarkimporter.h
- kbookmarkimporter.cc

KDE Home | KDE Accessibility Home | Description of Access Keys